package com.muyu.quest.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.validation.custom.IsSysFieldsType;
import com.muyu.common.core.validation.custom.IsSysNodeType;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 节点配置对象 node_disposition
 *
 * @author 2112A
 * @date 2024-08-29
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("node_disposition")
public class NodeDisposition {
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String nodeCode;

    /** 配置编码 */
    @Excel(name = "配置编码")
    private String dispKey;

    /** 配置名称 */
    @Excel(name = "配置名称")
    @IsSysNodeType
    private String dispLabel;

    /** 配置内容 */
    @Excel(name = "配置内容")
    private Object dispValue;

    /** 配置类型 */
    @Excel(name = "配置类型")
    private String dispType;

    /** 其他信息 */
    private String dispDesc;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nodeCode", getNodeCode())
            .append("dispKey", getDispKey())
            .append("dispLabel", getDispLabel())
            .append("dispValue", getDispValue())
            .append("dispType", getDispType())
            .append("dispDesc", getDispDesc())
            .toString();
    }
}
