package com.muyu.quest.req;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.validation.custom.IsSysYesNo;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 任务对象 task_source
 *
 * @author 2112A
 * @date 2024-08-22
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskReq{
    private static final long serialVersionUID = 1L;


    /** 任务名称 */
    private String taskName;

    /** 任务类型 */
    private String taskType;

    /** 启用状态 */
    @IsSysYesNo
    private String state;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("taskName", getTaskName())
            .append("taskType", getTaskType())
            .append("state", getState())
            .toString();
    }
}
