package com.muyu.quest.service;

import java.util.List;
import com.muyu.quest.domain.NodeDisposition;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 节点配置Service接口
 *
 * @author 2112A
 * @date 2024-08-29
 */
public interface INodeDispositionService extends IService<NodeDisposition> {
    /**
     * 精确查询节点配置
     *
     * @param id 节点配置主键
     * @return 节点配置
     */
    public NodeDisposition selectNodeDispositionById(Long id);

    /**
     * 查询节点配置列表
     *
     * @param nodeDisposition 节点配置
     * @return 节点配置集合
     */
    public List<NodeDisposition> selectNodeDispositionList(NodeDisposition nodeDisposition);

    /**
     * 判断 节点配置 id是否唯一
     * @param nodeDisposition 节点配置
     * @return 结果
     */
    Boolean checkIdUnique(NodeDisposition nodeDisposition);

    Boolean checkDispUnique(NodeDisposition disp);

    void batchDelect(String nodeCode);
}
