package com.muyu.quest.service;

import java.util.List;
import com.muyu.quest.domain.Node;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.quest.req.NodeReq;

/**
 * 节点管理Service接口
 *
 * @author 2112A
 * @date 2024-08-23
 */
public interface INodeService extends IService<Node> {
    /**
     * 精确查询节点管理
     *
     * @param id 节点管理主键
     * @return 节点管理
     */
    public Node selectNodeById(Long id);

    /**
     * 查询节点管理列表
     *
     * @param nodeReq 节点管理
     * @return 节点管理集合
     */
    public List<Node> selectNodeList(NodeReq nodeReq);

    /**
     * 判断 节点管理 id是否唯一
     * @param node 节点管理
     * @return 结果
     */
    Boolean checkIdUnique(Node node);

    List<Node> selectNodeByIds(Long[] ids);

    void batchDelect(String taskCode);
}
