package com.muyu.quest.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.quest.domain.Task;
import com.muyu.quest.req.TaskReq;
import com.muyu.quest.resp.TaskResp;

/**
 * 任务Service接口
 *
 * @author 2112A
 * @date 2024-08-22
 */
public interface TaskService extends IService<Task> {
    /**
     * 查询任务
     *
     * @param taskCode 任务编码
     * @return 任务
     */
    public Task selectTaskByTaskCode(String taskCode);

    /**
     * 查询任务列表
     *
     * @param taskReq 任务
     * @return 任务集合
     */
    public List<TaskResp> selectTaskList(TaskReq taskReq);


    Task selectTaskById(Long id);

    Boolean checkTaskCodeUnique(Task task);

    /**
     * 判断id是否唯一
     * @param task 实体
     * @return 结果
     */
    Boolean checkIdUnique(Task task);

    void removeBatch(List<Long> list);

    String execute(String taskCode);
}
